# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bitstamp_client/version'

Gem::Specification.new do |spec|
  spec.name          = "bitstamp_client"
  spec.version       = BitstampClient::VERSION
  spec.authors       = ["Ramon Tayag"]
  spec.email         = ["ramon.tayag@gmail.com"]

  spec.summary       = %q{Ruby wrapper for Bitstamp's API}
  spec.homepage      = "https://github.com/bloom-solutions/bitstamp_client-ruby"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = '>= 2.4'

  spec.add_dependency "api_client_base", "~> 1.0"
  spec.add_dependency "typhoeus", "~> 1.0"

  spec.add_development_dependency "bundler", "~> 2.2"
  spec.add_development_dependency "dotenv", "~> 2.7"
  spec.add_development_dependency "factory_bot"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.5"
  spec.add_development_dependency "rspec-its", "~> 1.2"
  spec.add_development_dependency "vcr", "~> 3.0"
  spec.add_development_dependency "virtus-matchers", ">= 0.4.0"
  spec.add_development_dependency "webmock", "~> 2.3"
end
